#ifndef _GvsPreprocessor_H__
#define _GvsPreprocessor_H__

#include <fstream>
using namespace std;

#include "Preprocessor.h"

namespace GtpVisibilityPreprocessor {

class Exporter;

/** Sampling based visibility preprocessing. The implementation is based on heuristical
    sampling of view space */
class GvsPreprocessor : public Preprocessor {

public:
  int mSamples;
  
  GvsPreprocessor();
  ~GvsPreprocessor() {}
  
  virtual bool ComputeVisibility();
  
  
protected:
  ofstream mStats;
  
};

};

#endif
